package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.TbNotice;

/**
 * 通知公告Service接口
 * 
 * @author ruoyi
 * @date 2022-10-18
 */
public interface ITbNoticeService 
{
    /**
     * 查询通知公告
     * 
     * @param id 通知公告主键
     * @return 通知公告
     */
    public TbNotice selectTbNoticeById(Long id);

    /**
     * 查询通知公告列表
     * 
     * @param tbNotice 通知公告
     * @return 通知公告集合
     */
    public List<TbNotice> selectTbNoticeList(TbNotice tbNotice);

    /**
     * 新增通知公告
     * 
     * @param tbNotice 通知公告
     * @return 结果
     */
    public int insertTbNotice(TbNotice tbNotice);

    /**
     * 修改通知公告
     * 
     * @param tbNotice 通知公告
     * @return 结果
     */
    public int updateTbNotice(TbNotice tbNotice);

    /**
     * 批量删除通知公告
     * 
     * @param ids 需要删除的通知公告主键集合
     * @return 结果
     */
    public int deleteTbNoticeByIds(String ids);

    /**
     * 删除通知公告信息
     * 
     * @param id 通知公告主键
     * @return 结果
     */
    public int deleteTbNoticeById(Long id);
}
